# Class CIM_QueryCapabilities
extends CIM_Capabilities

CIM_QueryCapabilities is deprecated. See CIM_GenericOperationCapabilitiesStructure. This class defines the extent of the support of a query language. Query languages may be used in support of the query operation, as defined in the OpenQueryInstances CIM Operation from DSP0223, or in the filtering of indications. An instance of this class associated to the CIM_ObjectManager instance denotes that the WBEM Infrastructure itself supports the query operation. An instance of this class associated to a CIM_Provider instance denotes that the provider has less or more capabilities than the Object Manager for processing queries. If the provider has different support for query languages than the object manager then, instances of this class shall be associated to both the object manager and the provider. An instance of this class associated to the CIM_IndicationService denotes what query languages can be used to formulate an indication filter. The possible query languages are CQL and XPath, as denoted by the CQLFeatures and XPathFeatures respectively. A value of null in one of these properties indicates that the related query language is not supported.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Capabilities
|
+--CIM_QueryCapabilities

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Deprecated | string | CIM_GenericOperationCapabilitiesStructure

Description

string

CIM_QueryCapabilities is deprecated. See CIM_GenericOperationCapabilitiesStructure. This class defines the extent of the support of a query language. Query languages may be used in support of the query operation, as defined in the OpenQueryInstances CIM Operation from DSP0223, or in the filtering of indications. An instance of this class associated to the CIM_ObjectManager instance denotes that the WBEM Infrastructure itself supports the query operation. An instance of this class associated to a CIM_Provider instance denotes that the provider has less or more capabilities than the Object Manager for processing queries. If the provider has different support for query languages than the object manager then, instances of this class shall be associated to both the object manager and the provider. An instance of this class associated to the CIM_IndicationService denotes what query languages can be used to formulate an indication filter. The possible query languages are CQL and XPath, as denoted by the CQLFeatures and XPathFeatures respectively. A value of null in one of these properties indicates that the related query language is not supported.

UMLPackagePath | string | CIM::Interop
Version | string | 2.39.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CQLFeatures | uint16[] |
Deprecated | string | CIM_GenericOperationCapabilitiesStructure.CQLSupport
Description | string | Enumeration of CQL features supported by an Object Manager or Provider associated via ElementCapabilities. For more information refer to the CIM Query Language Specification, DSP0202.
ModelCorrespondence | string | CIM_IndicationFilter.Query
ValueMap | string | 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, .., 0x8000..
Values | string | Basic Query, Simple Join, Complex Join, Subquery, Result Set Operations, Extended Select List, Embedded Properties, Aggregations, Regular Expression Like, Array Range, Satisfies Array, Foreign Namespace Support, Arithmetic Expression, Full Unicode Support, Conversion Utilities, Property Scoping, Association Traversal, DMTF Reserved, Vendor Reserved

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_Capabilities
InstanceID | string | CIM_Capabilities

## Class Methods